package ink.wgink.gateway.pojo.count;

import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: HomeCount
 * @Description: 首页统计
 * @Author: wanggeng
 * @Date: 2021/5/15 4:53 下午
 * @Version: 1.0
 */
@ToString
@Document
public class HomeCount {

    private Long routeTypeCount;
    private Long routeCount;
    private Long requestCount;
    private Long requestTodayCount;

    public Long getRouteTypeCount() {
        return routeTypeCount == null ? 0 : routeTypeCount;
    }

    public void setRouteTypeCount(Long routeTypeCount) {
        this.routeTypeCount = routeTypeCount;
    }

    public Long getRouteCount() {
        return routeCount == null ? 0 : routeCount;
    }

    public void setRouteCount(Long routeCount) {
        this.routeCount = routeCount;
    }

    public Long getRequestCount() {
        return requestCount == null ? 0 : requestCount;
    }

    public void setRequestCount(Long requestCount) {
        this.requestCount = requestCount;
    }

    public Long getRequestTodayCount() {
        return requestTodayCount == null ? 0 : requestTodayCount;
    }

    public void setRequestTodayCount(Long requestTodayCount) {
        this.requestTodayCount = requestTodayCount;
    }
}
